package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPCRKJSXXService;
import com.jusfoun.ydylsz.vo.DXPCRKJSXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_CRKJSXX--表4-11 出入库结算信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPCRKJSXX")
@Api(description="DXP_CRKJSXX--表4-11 出入库结算信息数据接口")
public class DXPCRKJSXXController{

	@Autowired
	private DXPCRKJSXXService dxpcrkjsxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPCRKJSXXVO>> selectList(@RequestBody DXPCRKJSXXVO vo){
		RootResult<PageInfo<DXPCRKJSXXVO>> r = new RootResult<PageInfo<DXPCRKJSXXVO>>();
		try {
			r.setData(dxpcrkjsxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPCRKJSXXVO> selectDetail(@RequestBody DXPCRKJSXXVO vo){
		RootResult<DXPCRKJSXXVO> r = new RootResult<DXPCRKJSXXVO>();
		try {
			r.setData(dxpcrkjsxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}