/*
 * StorageQualityCheckController.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-11-06 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.service.StorageQualityCheckService;
import com.jusfoun.ydylsz.vo.StorageQualityCheckVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

//import org.springframework.web.bind.annotation.GetMapping;

/**
 * STORAGE_QUALITYCHECK-质量检查信息表
 * @author lipenghe at 2020-11-06 15:57:36
 */
@RestController
@RequestMapping("/manager/qualitycheck")
@Api( tags = "质量检查信息---质量检查信息表")
public class StorageQualityCheckController {

    @Autowired
    private StorageQualityCheckService storageQualityCheckService;

    @ApiOperation(value = "质量检查信息---质量检查信息表---根据实体的某些属性查询列表", notes = "质量检查信息")
    @PostMapping("/storageQualityCheck/selectByEntity")
    public RootResult selectByEntity(
        @RequestBody StorageQualityCheckVO qualityCheckVO) {
        return storageQualityCheckService.selectByEntityResult(qualityCheckVO);
    }

}
