package com.jusfoun.ydylsz.service;

import java.util.List;
import java.util.UUID;

import com.jusfoun.ydylsz.util.IdsWorker;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkChjcMapper;
import com.jusfoun.ydylsz.mapper.XwkLsckxxMapper;
import com.jusfoun.ydylsz.mapper.XwkLsrkxxjkMapper;
import com.jusfoun.ydylsz.vo.XwkChjc;
import com.jusfoun.ydylsz.vo.XwkLsckjyxx;
import com.jusfoun.ydylsz.vo.XwkLsrkxxjk;
import com.jusfoun.ydylsz.vo.Zjxx;

@Service
public class LsckjyService {
	
	@Autowired
	private XwkLsckxxMapper xwkLsckxxMapper;

	@Autowired
	private IdsWorker idsWorker;

	public void update() {
		List<XwkLsckjyxx> javas = xwkLsckxxMapper.selectCkjy();
		for(XwkLsckjyxx lsckjyxx:javas) {
			xwkLsckxxMapper.deleteById(lsckjyxx.getTzdbh(),lsckjyxx.getZbxmc());
			lsckjyxx.setDataid(String.valueOf(idsWorker.nextId()));
			xwkLsckxxMapper.insertJyxx(lsckjyxx);
		}
	}

}
