package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 企业信息实体
 * @date 2019/07/22 17点26分
 */

@Getter
@Setter
@ApiModel(value="企业查询信息对象")
public class CompanyQueryVO {

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",required = true)
	private String qymc;


	/**
	 * 企业性质
	 */
	@ApiModelProperty(value="粮食性质")
	private List<String> lsxzs;

	/**
	 * 企业所属区域编号
	 */
	@ApiModelProperty(value = "企业所属区域编号")
	private String qyszqybh;



	@ApiModelProperty(value = "企业所属区域")
	private String qyszqy;

	/**
	 * 企业所属区域编号
	 */
	@ApiModelProperty(value = "粮食品种")
	private List<String> lspzs;

	/**
	 * 企业所属区域编号
	 */
	@ApiModelProperty(value = "粮食年限")
	private String lsnx;


	@ApiModelProperty(value="性质")
	private List<KucunObject> xzList;

	@ApiModelProperty(value="品种")
	private List<KucunObject> pzList;

	@ApiModelProperty(value="年限")
	private List<KucunObject> nxList;
	/**
	 * lgd add
	 */
	@ApiModelProperty(value="角色id",required = true)
	private String roleId;

	private String areacode;

	private String orgcode;

    private String orgId;
    private String type;
    private List<String> orgList;
}
