package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_HTXX--表4-12 合同信息数据接口")
@Table(name="DXP_HTXX")
public class DXPHTXXVO extends QueryVo{

	@ApiModelProperty(value = "合同编号")
	private	String htbh;	//db_column:htbh	note:合同编号

	@ApiModelProperty(value = "合同名称")
	private	String htmc;	//db_column:htmc	note:合同名称

	@ApiModelProperty(value = "合同所属企业代码")
	private	String qydm;	//db_column:qydm	note:合同所属企业代码

	@ApiModelProperty(value = "业务类别")
	private	String ywlx;	//db_column:ywlx	note:业务类别

	@ApiModelProperty(value = "客户代码")
	private	String khdm;	//db_column:khdm	note:客户代码

	@ApiModelProperty(value = "收购资金来源")
	private	String sgzjly;	//db_column:sgzjly	note:收购资金来源

	@ApiModelProperty(value = "签订日期")
	private	String qdrq;	//db_column:qdrq	note:签订日期

	@ApiModelProperty(value = "签订地点")
	private	String qddd;	//db_column:qddd	note:签订地点

	@ApiModelProperty(value = "提报日期")
	private	String tbrq;	//db_column:tbrq	note:提报日期

	@ApiModelProperty(value = "合同总金额")
	private	String htzje;	//db_column:htzje	note:合同总金额

	@ApiModelProperty(value = "履约保证金")
	private	String lybzj;	//db_column:lybzj	note:履约保证金

	@ApiModelProperty(value = "客户方开户行")
	private	String gfkhh;	//db_column:gfkhh	note:客户方开户行

	@ApiModelProperty(value = "需方开户行")
	private	String xfkhh;	//db_column:xfkhh	note:需方开户行

	@ApiModelProperty(value = "供方账号")
	private	String gfzh;	//db_column:gfzh	note:供方账号

	@ApiModelProperty(value = "需方账号")
	private	String xfzh;	//db_column:xfzh	note:需方账号

	@ApiModelProperty(value = "供方税号")
	private	String gfsh;	//db_column:gfsh	note:供方税号

	@ApiModelProperty(value = "需方税号")
	private	String xfsh;	//db_column:xfsh	note:需方税号

	@ApiModelProperty(value = "供方业务经纪人")
	private	String gfywjjr;	//db_column:gfywjjr	note:供方业务经纪人

	@ApiModelProperty(value = "需方业务经纪人")
	private	String xfywjjr;	//db_column:xfywjjr	note:需方业务经纪人

	@ApiModelProperty(value = "合同单价")
	private	String htdj;	//db_column:htdj	note:合同单价

	@ApiModelProperty(value = "交货开始日期")
	private	String jhksrq;	//db_column:jhksrq	note:交货开始日期

}