package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;

import java.util.List;

import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_KQXX--表4-3 库区信息数据接口")
@Table(name="DXP_KQXX")
public class DXPKQXXVO extends QueryVo{
	
	@ApiModelProperty(value = "Id")
	private Integer id;

	@ApiModelProperty(value = "库区编码")
	private	String kqbm;	//db_column:kqbm	note:库区编码

	@ApiModelProperty(value = "所属企业代码")
	private	String ssdwdm;	//db_column:ssqydm	note:所属企业代码

	@ApiModelProperty(value = "库区名称")
	private	String kqmc;	//db_column:kqmc	note:库区名称

	@ApiModelProperty(value = "库区地址")
	private	String kqdz;	//db_column:kqdz	note:库区地址

	@ApiModelProperty(value = "行政区划编码")
	private	String xzqhbm;	//db_column:xzqhbm	note:行政区划编码

	@ApiModelProperty(value = "行政区划名称")
	private	String xzqhmc;	//db_column:xzqhbm	note:行政区划编码

	@ApiModelProperty(value = "库区产权")
	private	String kqcq;	//db_column:ccsscq	note:仓储设施产权

	@ApiModelProperty(value = "有效仓容")
	private	String yxcr;	//db_column:yxcr	note:有效仓容

	@ApiModelProperty(value = "有效罐容")
	private	String yxgr;	//db_column:yxgr	note:有效罐容

	@ApiModelProperty(value = "占地面积")
	private	String zdmj;	//db_column:zdmj	note:占地面

	@ApiModelProperty(value = "库区经度")
	private	String jd;	//db_column:jd	note:库区经度

	@ApiModelProperty(value = "库区纬度")
	private	String wd;	//db_column:wd	note:库区纬度

	@ApiModelProperty(value = "操作标志")
	private	String czbz;	//db_column:czbz	note:操作标志
	
	@ApiModelProperty(value = "企业代码")
	private	String qydm;	//db_column:qydm	note:企业代码
	@ApiModelProperty(value = "企业名称")
	private	String qymc;	//db_column:qymc	note:企业名称
	@ApiModelProperty(value = "企业地址")
	private	String yydz;	//db_column:qymc	note:企业名称
	@ApiModelProperty(value = "法定代表人")
	private	String fddbr;	//db_column:fddbr	note:法定代表人
	@ApiModelProperty(value = "邮政编码")
	private	String yzbm;	//db_column:yzbm	note:邮政编码
	@ApiModelProperty(value = "库存粮食性质")
	private	String lsxz;	//db_column:fddbr	note:法定代表人
	@ApiModelProperty(value = "库存粮食品种")
	private	String lspz;
	@ApiModelProperty(value = "生产年限")
	private	String shnd;
	
	private String ssqydm; // 所属企业代码
	
	private Integer cfs; //仓房数
	private Integer ygs; //油罐数
	private Integer hws; //货位数

	
}