package com.jusfoun.ydylsz.vo;

import com.jusfoun.ydylsz.vo.in.base.QueryVo;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.persistence.Table;

@Data
@ApiModel(value = "损益单数据接口")
@Table(name="DXP_SYD")
public class DXPSYDVO extends QueryVo{
    private String sydbh;
    private String hwbm;
    private String rksl;
    private String rksj;
    private String rksf;
    private String rkzz;
    private String cksl;
    private String cksj;
    private String cksf;
    private String ckzz;
    private String syyy;
    private String sysl;
    private String ccshr;
    private String zjshr;
    private String tjshr;
    private String kjshr;
    private String ldshr;
    private String bz;
    private String cfbh;
    
    private String cfmc;
    private String hwmc;
    
    // 质检字段
    private String rkzjd;  //入库质检单
    private String ckzjd;  //出库质检单
    private String rkpz;   //入库品种
    private String ckpz;   //出库品种
}
