package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_ZJSJ--表4-15 质检数据接口")
@Table(name="DXP_ZJSJ")
public class DXPZJSJVO extends QueryVo{

	@ApiModelProperty(value = "质检报告单编码")
	private	String zjbgdbh;	//db_column:zjbgdbh	note:质检报告单编码

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "粮食品种编码")
	private	String pznm;	//db_column:pznm	note:粮食品种编码

	@ApiModelProperty(value = "粮食等级")
	private	String skdjbm;	//db_column:skdjbm	note:粮食等级

	@ApiModelProperty(value = "检验类别编码")
	private	String jylbbm;	//db_column:jylbbm	note:检验类别编码

	@ApiModelProperty(value = "检验日期")
	private	String jyrq;	//db_column:jyrq	note:检验日期

	@ApiModelProperty(value = "检验单位")
	private	String jydw;	//db_column:jydw	note:检验单位

	@ApiModelProperty(value = "检验依据")
	private	String jyyj;	//db_column:jyyj	note:检验依据

	@ApiModelProperty(value = "样品数量")
	private	String ypsl;	//db_column:ypsl	note:样品数量

	@ApiModelProperty(value = "扦样单编号")
	private	String qydbh;	//db_column:qydbh	note:扦样单编号

	@ApiModelProperty(value = "代表数量")
	private	String dbsl;	//db_column:dbsl	note:代表数量

	@ApiModelProperty(value = "检验项目")
	private	String jyxm;	//db_column:jyxm	note:检验项目

	@ApiModelProperty(value = "检验结论")
	private	String jyjl;	//db_column:jyjl	note:检验结论

	@ApiModelProperty(value = "质检结果")
	private	String zjjg;	//db_column:zjjg	note:质检结果

	@ApiModelProperty(value = "签发日期")
	private	String qfrq;	//db_column:qfrq	note:签发日期

	@ApiModelProperty(value = "入库日期")
	private	String zkrq;	//db_column:zkrq	note:入库日期

	@ApiModelProperty(value = "审核人姓名")
	private	String shrxm;	//db_column:shrxm	note:审核人姓名

	@ApiModelProperty(value = "扦样日期")
	private	String qyrq;	//db_column:qyrq	note:扦样日期

	@ApiModelProperty(value = "扦样地点")
	private	String qysj;	//db_column:qysj	note:扦样地点

	@ApiModelProperty(value = "扦样人姓名")
	private	String qyrxm;	//db_column:qyrxm	note:扦样人姓名

	@ApiModelProperty(value = "监督人姓名")
	private	String jdrxm;	//db_column:jdrxm	note:监督人姓名

	@ApiModelProperty(value = "入库年限")
	private	String rknx;	//db_column:rknx	note:入库年限

	@ApiModelProperty(value = "样品等级")
	private	String ypdj;	//db_column:ypdj	note:样品等级

	@ApiModelProperty(value = "证书编码")
	private	String zsbh;	//db_column:zsbh	note:证书编码
	
	private String pzmc;
	
	@ApiModelProperty(value = "检验人")
	private String jyr;
	
	@ApiModelProperty(value = "检验类别")
	private String jylb;
	
	@ApiModelProperty(value = "储存品质控制指标结果判定")
	private String ccpzkzzbjgpd;

	@ApiModelProperty(value = "食品安全检验指标结果判定")
	private String spaqjyzbjgpd;
	
	@ApiModelProperty(value = "报告出具时间")
	private String bgcjsj;
	
	@ApiModelProperty(value = "样品编号")
	private String ypbh;
	
	@ApiModelProperty(value = "是否正常存储年限")
	private String sfzcccnx;
	
	@ApiModelProperty(value = "备注")
	private String bz;
	
	@ApiModelProperty(value = "委托单位")
	private String wtdw;
	
	private String pzbm;

}