package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 企业信息实体
 * @date 2019/07/22 17点26分
 */

@Getter
@Setter
@ToString
@ApiModel(value="设备")
public class DeviceVO implements Serializable{
	@ApiModelProperty(value="设备名称")
	private String sbyqmc;

	@ApiModelProperty(value="设备数量")
	private int sbsl;

	@ApiModelProperty(value="设备类别")
	private String ssfl;

	@ApiModelProperty(value="购入年份")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date rkrq;
}
