package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;

import javax.persistence.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "虫害检查记录")
@Table(name="xwk_chjc")
public class XwkChjc {
	
    private String chjcid;

    private BigDecimal yyywid;

    private BigDecimal houseId;

    private BigDecimal warehouseId;

    private BigDecimal orgId;
    
    @ApiModelProperty(value = "品种类型")
    private String subType;

	@ApiModelProperty(value = "品种")
    private String subTypeName;

	@ApiModelProperty(value = "检测时间")
    private String checkTime;

	@ApiModelProperty(value = "检验人")
    private String checker;

	@ApiModelProperty(value = "虫害部位")
    private String pestsPosition;

	@ApiModelProperty(value = "虫害密度")
    private BigDecimal pestsDensity;
	
	@ApiModelProperty(value = "害虫虫种编号")
    private String pestsSpecies;

	@ApiModelProperty(value = "害虫虫种")
    private String pestsSpeciesName;

	@ApiModelProperty(value = "雨后检查")
    private String rainCheck;

	@ApiModelProperty(value = "鼠雀检查")
    private String ratfinchCheck;

	@ApiModelProperty(value = "其他检查")
    private String otherCheck;

	@ApiModelProperty(value = "发现问题")
    private String findQuestion;
	
	@ApiModelProperty(value = "货位编码")
    private String hwbm;
}