package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "水分检测记录")
@Table(name="xwk_sfjcjl")
public class XwkSfjcjl {

    private String id;

    private String hwbm;

    private String sfjcjlid;

    private String yyywid;

    
    private BigDecimal orgId;

    private BigDecimal houseId;

    private BigDecimal wareId;

    @ApiModelProperty(value = "品种")
    private BigDecimal lspz;

    @ApiModelProperty(value = "化验时间")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private String hyDate;

    @ApiModelProperty(value = "化验人")
    private String hyPerson;

    @ApiModelProperty(value = "检测时间")
    private String remark;

    @ApiModelProperty(value = "检测时间")
    private String inputTime;

    @ApiModelProperty(value = "检测时间")
    private String editTime;

    @ApiModelProperty(value = "检测时间")
    private String jcgddid;

    @ApiModelProperty(value = "检测时间")
    private BigDecimal jcgddqy;

    @ApiModelProperty(value = "检测时间")
    private BigDecimal zyS;

    @ApiModelProperty(value = "检测时间")
    private BigDecimal zyZ;

    @ApiModelProperty(value = "检测时间")
    private BigDecimal zyX;

    @ApiModelProperty(value = "东南上")
    private BigDecimal dnS;

    @ApiModelProperty(value = "东南中")
    private BigDecimal dnZ;

    @ApiModelProperty(value = "东南下")
    private BigDecimal dnX;

    @ApiModelProperty(value = "东北上")
    private BigDecimal dbS;

    @ApiModelProperty(value = "东北中")
    private BigDecimal dbZ;

    @ApiModelProperty(value = "东北下")
    private BigDecimal dbX;

    @ApiModelProperty(value = "西南上")
    private BigDecimal xnS;

    @ApiModelProperty(value = "西南中")
    private BigDecimal xnZ;

    @ApiModelProperty(value = "西南下")
    private BigDecimal xnX;

    @ApiModelProperty(value = "西北上")
    private BigDecimal xbS;

    @ApiModelProperty(value = "西北中")
    private BigDecimal xbZ;

    @ApiModelProperty(value = "西北下")
    private BigDecimal xbX;

    @ApiModelProperty(value = "平均值")
    private BigDecimal avgVal;

    @ApiModelProperty(value = "安全")
    private BigDecimal safe;

    @ApiModelProperty(value = "检测时间")
    private String jcjddid;

    @ApiModelProperty(value = "检测时间")
    private BigDecimal jcjddqy;

    @ApiModelProperty(value = "部位")
    private String bwAKey;

    @ApiModelProperty(value = "部位水分")
    private BigDecimal bwAVal;

    @ApiModelProperty(value = "部位")
    private String bwBKey;

    @ApiModelProperty(value = "部位水分")
    private BigDecimal bwBVal;

    @ApiModelProperty(value = "部位")
    private String bwCKey;

    @ApiModelProperty(value = "部位水分")
    private BigDecimal bwCVal;

    @ApiModelProperty(value = "部位")
    private String bwDKey;

    @ApiModelProperty(value = "部位水分")
    private BigDecimal bwDVal;

    @ApiModelProperty(value = "部位")
    private String bwEKey;

    @ApiModelProperty(value = "部位水分")
    private BigDecimal bwEVal;

    @ApiModelProperty(value = "部位")
    private String bwFKey;

    @ApiModelProperty(value = "部位水分")
    private BigDecimal bwFVal;

    @ApiModelProperty(value = "???")
    private List<WaterFixVO> waterFixVOList;

    @ApiModelProperty(value = "???")
    private List<WaterMobileVO> waterMobileVOList;
}