package com.jusfoun.ydylsz.vo;

import javax.persistence.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "出入库质检明细")
@Table(name = "xwk_zljc")
public class Zjxx {

    @ApiModelProperty(value = "相对密度", notes = "cf5b2b37d8b511ec81ac00ff2bc9e548")
    private String xdmd;

    @ApiModelProperty(value = "色泽", notes = "cf5b2d3fd8b511ec81ac00ff2bc9e548")
    private String se;

    @ApiModelProperty(value = "透明度", notes = "cf5b367dd8b511ec81ac00ff2bc9e548")
    private String tmd;


    @ApiModelProperty(value = "水分及挥发物含量% | 水分 ", notes = "cf5b37a3d8b511ec81ac00ff2bc9e548")
    private String sf;

    @ApiModelProperty(value = "气味、滋味 | 色泽气味口味", notes = "cf5b3dabd8b511ec81ac00ff2bc9e548")
    private String seqw;

    @ApiModelProperty(value = "不溶性杂质含量%", notes = "cf5b3864d8b511ec81ac00ff2bc9e548")
    private String brxzzhl;

    @ApiModelProperty(value = "酸价（KOH）/（mg/g)", notes = "cf5b392ed8b511ec81ac00ff2bc9e548")
    private String sj;

    @ApiModelProperty(value = "过氧化值（mmol/kg）", notes = "cf5b39d6d8b511ec81ac00ff2bc9e548")
    private String gyhz;

    @ApiModelProperty(value = "溶剂残留量（mg/kg）", notes = "cf5b3e4fd8b511ec81ac00ff2bc9e548")
    private String rjcll;


    @ApiModelProperty(value = "含皂量%", notes = "cf5b3b1dd8b511ec81ac00ff2bc9e548")
    private String hzl;

    @ApiModelProperty(value = "加热试验（280℃）", notes = "cf5b3bc2d8b511ec81ac00ff2bc9e548")
    private String jrsy;

    @ApiModelProperty(value = "冷冻实验（0℃冷藏5.5h）", notes = "cf5b3c64d8b511ec81ac00ff2bc9e548")
    private String ldsy;

    @ApiModelProperty(value = "烟点（℃", notes = "cf5b3d08d8b511ec81ac00ff2bc9e548")
    private String yd;


    @ApiModelProperty(value = "平均长度")
    private String pjcd;

    @ApiModelProperty(value = "完整米粒")
    private String wzml;

    @ApiModelProperty(value = "碎米总量")
    private String smzl;

    @ApiModelProperty(value = "大碎米")
    private String smdsm;

    @ApiModelProperty(value = "小碎米")
    private String smxsm;

    @ApiModelProperty(value = "精碾")
    private String jn;

    @ApiModelProperty(value = "适碾")
    private String sn;

    @ApiModelProperty(value = "杂志总量")
    private String zzzl;

    @ApiModelProperty(value = "糠粉")
    private String kf;

    @ApiModelProperty(value = "有机杂质")
    private String yjzz;

    @ApiModelProperty(value = "无机杂质")
    private String wjzz;

    @ApiModelProperty(value = "不完善总量")
    private String bwszl;

    @ApiModelProperty(value = "未熟粒")
    private String wsll;

    @ApiModelProperty(value = "虫蚀粒")
    private String csl;

    @ApiModelProperty(value = "病斑粒")
    private String bbl;

    @ApiModelProperty(value = "糙米粒")
    private String cml;

    @ApiModelProperty(value = "生霉粒")
    private String sml;

    @ApiModelProperty(value = "黄粒米")
    private String hlm;

    @ApiModelProperty(value = "互混率")
    private String hhl;

    @ApiModelProperty(value = "垩白度")
    private String ebd;

    @ApiModelProperty(value = "直链淀粉含量")
    private String zldfhl;

    @ApiModelProperty(value = "品尝评分")
    private String pcpfz;


    @ApiModelProperty(value = "含沙量")
    private String hsl;

    @ApiModelProperty(value = "加工精度")
    private String jgjd;

    @ApiModelProperty(value = "磁性金属物")
    private String cxjsw;

    @ApiModelProperty(value = "灰分%（以干物计）")
    private String hfygwj;

    @ApiModelProperty(value = "脂肪酸值（以湿基计）")
    private String zfsz;

    @ApiModelProperty(value = "粗细度")
    private String cxd;

    @ApiModelProperty(value = "面筋质（以湿重计）")
    private String mjz;


    @ApiModelProperty(value = "完整粒")
    private String wzll;

    @ApiModelProperty(value = "破碎粒")
    private String psll;


    @ApiModelProperty(value = "损伤率总量")
    private String sslzl;

    @ApiModelProperty(value = "热损数量")
    private String rusl;

    @ApiModelProperty(value = "生芽粒、涨大粒")
    private String syl;

    @ApiModelProperty(value = "冻伤粒")
    private String dsl;

    @ApiModelProperty(value = "粗脂肪含量")
    private String czfhl;


    @ApiModelProperty(value = "自然热损")
    private String zrrsl;

    @ApiModelProperty(value = "整精米率")
    private String zjml;

    @ApiModelProperty(value = "烘干热损")
    private String hgrsl;

    @ApiModelProperty(value = "破损粒")
    private String psl;

    @ApiModelProperty(value = "出糙率")
    private String ccl;

    @ApiModelProperty(value = "谷外糙米")
    private String gwcm;


    @ApiModelProperty(value = "霉变粒")
    private String mbl;


    @ApiModelProperty(value = "病斑粒总量")
    private String bblzl;

    @ApiModelProperty(value = "黑胚粒")
    private String hpl;

    @ApiModelProperty(value = "赤霉病粒")
    private String cmbl;

    @ApiModelProperty(value = "小麦硬度指数")
    private String xmydzs;


    @ApiModelProperty(value = "容重")
    private String rz;


    @ApiModelProperty(value = "矿物质")
    private String kwz;


    @ApiModelProperty(value = "红硬")
    private String hy;

    @ApiModelProperty(value = "红软")
    private String hr;


    @ApiModelProperty(value = "白硬")
    private String by;

    @ApiModelProperty(value = "白软")
    private String br;

    /**
     * 筛下物
     * 稻谷 402882e87318022e0173192479b00111
     * 小麦 402881e676d046430176d04d345e0000
     * */
    private String sxw;
}
