package com.jusfoun.ydylsz.controller.dxp;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.CompanyService;
import com.jusfoun.ydylsz.service.EnumService;
import com.jusfoun.ydylsz.vo.CompanyQueryVO;
import com.jusfoun.ydylsz.vo.CompanyVO;
import com.jusfoun.ydylsz.vo.ConpanyStyle;
import com.jusfoun.ydylsz.vo.EnumVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;


/**
 * @version 1.0
 * @Description
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "字典", tags = "字典")
@Slf4j
@RequestMapping(value = "/enum")
public class EnumController {

	@Autowired
	private EnumService enumService;

	@ApiOperation(value = "字典", notes = "字典")
	@PostMapping(value = "/list")
    public RootResult<List<EnumVO>> list(@RequestBody EnumVO enumVO, HttpServletRequest request) {
        RootResult<List<EnumVO>> r = new RootResult<>();
		try {
			r.setData(enumService.selectByEntity(enumVO));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
    }
}
