package	com.jusfoun.ydylsz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.vo.DXPDCXX;
import com.jusfoun.ydylsz.vo.DXPHWXXVO;
import com.jusfoun.ydylsz.vo.DXPSYDVO;
import com.jusfoun.ydylsz.vo.DXPXZZHVO;
import com.jusfoun.ydylsz.vo.DXPZJSJVO;
import com.jusfoun.ydylsz.vo.KctjVO;
import com.jusfoun.ydylsz.vo.yg.YgDcxxVO;


//DXP_HWXX--表4-7 货位信息数据接口接口  
@Mapper
public interface DXPHWXXMapper{


	public	void insert(DXPHWXXVO vo);	//insert;

	public	void update(DXPHWXXVO vo);	//update;

	public	void delete(DXPHWXXVO vo);	//delete;

	public	DXPHWXXVO selectDetail(DXPHWXXVO pojo);	//selectDetail;

	public	List<DXPHWXXVO>  selectList(DXPHWXXVO vo);	//selectList;


    List<DXPHWXXVO> selectIsSxt(@Param("hwbm")String hwbm,@Param("kqbh")String kqbh);

    //货位卡
	public DXPHWXXVO selectHWCard(@Param("hwbm")String hwbm,@Param("nd") String nd,@Param("yf") String yf);

	public List<String> queryTime(@Param("hwbm")String hwbm);

	List<DXPDCXX> selextDcxxList(DXPDCXX vo);

	DXPHWXXVO selectById(@Param("hwbm")String hwbm);

	public DXPDCXX dcxxDetail(@Param("dcdbh") String dcdbh);

	public List<DXPZJSJVO> queryZjjcList(@Param("hwbm") String hwbm, @Param("pzbm") String pzbm);

	public String selectBySj(@Param("hwbm") String hwbm);

	List<DXPSYDVO> sydList(DXPHWXXVO vo);

	DXPSYDVO sydDetail(@Param("sydbm")String sydbm);

	List<DXPXZZHVO> xzzhList(DXPHWXXVO vo);

	DXPXZZHVO xzzhDetail(@Param("xzzbdbh")String xzzbdbh);

	String queryRkzj(@Param("rksj") String rksj, @Param("hwbm") String hwbm);

	String queryCkzj(@Param("cksj") String cksj, @Param("hwbm") String hwbm);

    List<KctjVO> getSjl(@Param("lsxzbm")String lsxzbm, @Param("hwbm") String hwbm);

	List<KctjVO> getSjy(@Param("lsxzbm")String lsxzbm, @Param("hwbm") String hwbm);

	String selectByTysh(String kqbm);

	
	
	public List<YgDcxxVO> ygdcxxList(DXPHWXXVO vo);
	
	YgDcxxVO ygdcxxDetail(YgDcxxVO vo);

	/*List<KctjVO> isIn(@Param("lsxzbm")String lsxzbm, @Param("hwbm") String hwbm);

	List<KctjVO> isOut(@Param("lsxzbm")String lsxzbm, @Param("hwbm") String hwbm);*/
}