package	com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.*;
import org.apache.ibatis.annotations.Mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


//DXP_KQXX--表4-3 库区信息数据接口接口
@Mapper
public interface DXPKQXXMapper{

	public	DXPKQXXVO selectDetail(@Param("kqbm")String kqbm);	//selectDetail;

	public	java.util.List<DXPKQXXVO>  selectList(DXPKQXXVO vo);	//selectList;

	public java.util.List<DXPKQXXVO> selectAndQyxxList(DXPKQXXVO vo);


	List<DXPKQXXGIS> selectListKq(Map<String, Object> params);

    List<DXPKQXXGIS> selectListKqQlb(@Param("areacode") String areacode,
                                     @Param("orgcode") String orgcode,
                                     @Param("isCity6") Boolean isCity6);

    List<DXPKQXXGIS> selectListKqGxgs(@Param("orgcode")String orgcode);


	List<DXPKQXXGIS> selectListKqPage(DXPKQXXGIS dx);

	List<DXPKQXXVO> selectListPro(DXPKQXXVO vo);

    List<DXPKQXXVO> selectListAreas(AreaOut vo);

	List<DXPKQXXVO> selectListArea(AreaOut vo);

	List<TreeNode> selectModulModul(@Param("code")String code);

	List<TreeNode> getChildrenNode(@Param("code")String code);

	List<TreeNode> selectTree();

	List<TreeNode> getTreeNode(@Param("code")String code);

	List<DXPKQXXVO> selectLike(@Param("kqmc")String kqmc, @Param("xzqhdm")String xzqhdm);

	List<DXPKQXXMIN> selectListKqQuan(@Param("xzqhdm")String xzqhdm);

	List<String> findSbxxByKqmc();

	List<DXPKQXXVO> getKqmc(@Param("kqmc")String kqmc);

	void updateSbxx(@Param("kqmc")String kqmc, @Param("kqbm")String kqbm);

	public Integer queryHws(@Param("kqbm") String kqbm);

	public Integer queryCfs(@Param("kqbm") String kqbm);

	public Integer queryYgs(@Param("kqbm") String kqbm);

	public List<String> selectbyShiXzqh(@Param("xzqhdm")String xzqhdm);

	public List<String> selectbyShengXzqh();

	String getcfkc(String kqbm);

	String getYgkc(String kqbm);

    List<String> findSbxx(Map<String, Object> params);

	List<String> findSbxxQlb(@Param("areacode") String areacode,
                             @Param("orgcode") String orgcode,
                             @Param("isCity6")Boolean isCity6);

	List<String> findSbxxGxgs(@Param("orgcode") String orgcode);


    /**
     * 根据权限查询
     * @param dx
     * @return
     */
    List<DXPKQXXGIS> selectListKqPageRole(DXPKQXXGIS dx);
}
