package	com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.*;
import org.apache.ibatis.annotations.Mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


//DXP_LQJC--表4-16 粮情监测数据接口接口
@Mapper
public interface DXPLQJCMapper{


	public	void insert(DXPLQJCVO vo);	//insert;

	public	void update(DXPLQJCVO vo);	//update;

	public	void delete(DXPLQJCVO vo);	//delete;

	public	DXPLQJCVO selectDetail(DXPLQJCVO pojo);	//selectDetail;

	public	java.util.List<DXPLQJCVO>  selectList(DXPLQJCVO vo);	//selectList;


    List<DXPLQJCVO> getList(@Param("type")String type,@Param("begin") String begin,@Param("end") String end,@Param("hwbm")String hwbm);

    List<String> getLwList(@Param("hwbm")String hwbm);

	List<DXPLQJCVO> getLwAll(DXPLQJCVO vo);

	public String queryByHwbm(@Param("cfbm") String cfbm);

	public String queryByLwId(@Param("id") String id);

	public DXPLQJCVO querybyFirstLqjc(@Param("hwbm") String hwbm, @Param("jcsj") String jcsj, @Param("kqbm") String kqbm);

	public String queryByCfmc(@Param("hwbm") String hwbm);

	public String queryByKqbm(@Param("hwbm") String hwbm);

	public List<TemperatureVO> geTemperatures(@Param("kqbm")String kqbm);

	public DCfxxsjyVO getCfxx(@Param("code")String storehouseCode, @Param("orgId")String orgId);

	public List<String> getCfList(@Param("kqbm")String kqbm);

	List<ParaConfigVO> getFzList(String code);

	List<TemperatureVO> geTemperature(Map<String, Object> params);

	List<TemperatureVO> geTemperatureQlb(@Param("kqbm")String kqbm, @Param("areacode")String areacode,@Param
			("orgcode")String orgcode,@Param("lsxz")String lsxz);

	List<TemperatureVO> geTemperatureGxgs(@Param("kqbm")String kqbm, @Param("orgcode")String orgcode,@Param("lsxz")String lsxz);
}
