package com.jusfoun.ydylsz.mapper;

import java.util.List;
import java.util.Map;

import com.jusfoun.ydylsz.vo.DXPSJZD;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface KshGgfwMapper {

	List<Map<String, Object>> querySheng(@Param("xzqhdm") String xzqhdm);

	List<Map<String, Object>> queryShi(@Param("code1") String code1,@Param("code2") String code2);

	List<Map<String, Object>> queryXian(@Param("code1") String code1,@Param("code2") String code2);

	List<Map<String, Object>> querySjzd();

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 查询省市县
	 * @Date 2019年8月2日 上午11:16:41
	 * @return List<Map<String,Object>>
	 */
	List<Map<String, Object>> queryArea(@Param("pcode") String pcode);

	List<Map<String,Object>> getSjzd(@Param("typeName")String typeName);

	String queryName(@Param("code") String code, @Param("name") String name);
	

	/***
	 * 
	 * @param listStrCode
	 * @return
	 */
	List<Map<String,Object>> getSjzdListByListStr(@Param("listStrCode")String listStrCode);

	List<Map<String,Object>> getSjzdListByPcode(@Param("pcode")String pcode);

    List<DXPSJZD> queryByType(@Param("typeName")String typeName);

	String queryFirstSheng(@Param("subCode") String subCode);

	String queryFirstShi(@Param("code1") String code1);

	String queryFirstXian(@Param("code2") String code2);

	String getName(@Param("subCode") String subCode);

	String queryAreaName(@Param("areaCode") String areaCode);
}
