package com.jusfoun.ydylsz.mapper;

import java.util.List;

import com.jusfoun.ydylsz.pojo.NodeTemp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.pojo.TreeNode;
import com.jusfoun.ydylsz.vo.in.KshHlhtScfzInVo;

@Mapper
public interface KshHlhtZzjgMapper {

	List<TreeNode> queryParentId(@Param("yhid") Integer yhid);

	List<TreeNode> queryChildListById(@Param("zid") String zid);

	void insertKshHlhtScfz(KshHlhtScfzInVo vo);

	TreeNode queryById(@Param("regionIndexCode") String regionIndexCode);

	void insertClassZzjg(KshHlhtScfzInVo vo);

	List<TreeNode> queryClassStrId(@Param("zzjgId") String zzjgId);

	List<TreeNode> queryClassParentId(@Param("zid") String zid);

    void updateKshHlhtScfz(TreeNode treeNode1);

    void saveTemp(NodeTemp nodeTemp);

	void deleteTemp();

	List<NodeTemp> selectTemp(String id);

	List<NodeTemp> selectTempAN();

	List<NodeTemp> selectTempYN();

	List<NodeTemp> queryListTemp(@Param("indexCode") String indexCode);

	List<NodeTemp> queryKqmcByTrue(@Param("regionIndexCode") String regionIndexCode);

	List<TreeNode> queryByZzjgmc(@Param("stdname") String stdname);

	List<NodeTemp> selectTempJs();

	List<NodeTemp> selectTempGZ();

	List<NodeTemp> selectTempHead(@Param("zid") String zid);
}
