package com.jusfoun.ydylsz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.vo.DYglqkVO;
import com.jusfoun.ydylsz.vo.DcflqkqkVO;
import com.jusfoun.ydylsz.vo.DcinfoVO;
import com.jusfoun.ydylsz.vo.XwkChjc;

@Mapper
public interface XwkChjcMapper {

    List<XwkChjc> select(XwkChjc record);

	XwkChjc info(XwkChjc chjc);

	DcflqkqkVO getLqk(@Param("hwbm")String hwbm);

	List<DcflqkqkVO> getListLqk(DcflqkqkVO lqkVO);

	List<DcinfoVO> getDcInfo(@Param("storehouseId")String storehouseId, @Param("warehouseId")String warehouseId, @Param("orgId")String orgId);

	DcflqkqkVO getCplLqk(@Param("hwbm")String hwbm);

	DcflqkqkVO getYgLqk(@Param("hwbm")String hwbm);

	DcflqkqkVO getCrkLqk(@Param("hwbm")String hwbm);

	/**
	 * 获取油罐粮情卡基础信息
	 * @param hwbm
	 * @return
	 */
	DYglqkVO getYgLqkBase(@Param("hwbm")String hwbm);

	DcflqkqkVO getUrl(String avatorUrl);

	/**
	 * 获取油罐--粮情卡--质检信息--数据来源：库级系统
	 * @param cfOrYgId
	 * @return
	 */
	DYglqkVO getYgLqkZjxxById(@Param("cfOrYgId")String cfOrYgId);
	/**
	 * 获取油罐--粮情卡-保管员信息--数据来源：库级系统
	 * @param cfOrYgId
	 * @return
	 */
	DYglqkVO getYgLqkBgyById(@Param("cfOrYgId")String cfOrYgId);

    List<DcflqkqkVO> listHisLqk(DcflqkqkVO lqkVO);

    DcflqkqkVO getLqkById(@Param("id") String id);

    DcflqkqkVO getCplqkById(@Param("id") String id);
}
