package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.pojo.KcxxVO;
import com.jusfoun.ydylsz.vo.XwkKcxx;
import com.jusfoun.ydylsz.vo.XwkKcxxExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface XwkKcxxMapper {
    int countByExample(XwkKcxxExample example);

    int deleteByExample(XwkKcxxExample example);

    /* 无调用*/
    int insert(XwkKcxx record);

    int insertSelective(XwkKcxx record);

    List<XwkKcxx> selectByExample(XwkKcxxExample example);

    int updateByExampleSelective(@Param("record") XwkKcxx record, @Param("example") XwkKcxxExample example);

    int updateByExample(@Param("record") XwkKcxx record, @Param("example") XwkKcxxExample example);

	List<XwkKcxx> selectKcxx();

	List<KcxxVO> kcxxList(KcxxVO kcxxVO);

	List<XwkKcxx> selectCpKcxx();

	void delete(@Param("hwbm")String hwbm);

    void deleteById(@Param("kcxxid")String kcxxid);

    List<XwkKcxx> selectCrkyg();

    List<XwkKcxx> selectKjyg();

    int deleteAll();
}
