package com.jusfoun.ydylsz.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jusfoun.ydylsz.mapper.KshHlhtSbxxMapper;
import com.jusfoun.ydylsz.pojo.KshHlhtSbxx;
import com.jusfoun.ydylsz.pojo.KshHlhtXzqh;
import com.jusfoun.ydylsz.pojo.KshHlhtZzsbgl;
import com.jusfoun.ydylsz.vo.in.KshHlhtSbxxInputVo;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

@Service("kshHlhtSbxxService")
public class KshHlhtSbxxService {
	
	private Logger log = LoggerFactory.getLogger(this.getClass());
		
	@Autowired
	private KshHlhtSbxxMapper kshHlhtSbxxMapper;
	
	/*@Autowired
	private KshHlhtZzsbglMapper kshHlhtZzsbglMapper;*/
	
	/*@Autowired
	private KshHlhtXzqhMapper kshHlhtXzqhMapper;*/
	
	public Long queryTotalCount(KshHlhtSbxxInputVo vo) {
		return kshHlhtSbxxMapper.queryTotalCount(vo);
	}

	public List<KshHlhtSbxx> queryList(KshHlhtSbxxInputVo vo) {
		return kshHlhtSbxxMapper.queryList(vo);
	}

	public void insertKshHlhtSbxx(KshHlhtSbxx bean) {
		kshHlhtSbxxMapper.insertKshHlhtSbxx(bean);
	}

	public void updateKshHlhtSbxx(KshHlhtSbxx bean) {
		kshHlhtSbxxMapper.updateKshHlhtSbxx(bean);
	}

	public KshHlhtSbxx viewKshHlhtSbxx(Integer id) {
		return kshHlhtSbxxMapper.viewKshHlhtSbxx(id);
	}

	/*public List<KshHlhtZzsbgl> queryListBySbId(Integer zzjgId) {
		return kshHlhtZzsbglMapper.queryListBySbId(zzjgId);
	}*/

	/*public RootResult<KshHlhtSbxx> impSbxxInfo(MultipartFile file, KshHlhtSbxxInVo vo) throws IOException {
		RootResult<KshHlhtSbxx> r = new RootResult<KshHlhtSbxx>();
		Integer[] arr = new Integer[] { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
		List<Map<String, String>> dataList = DDUtilPOI.readXlsFileInputStream(file, arr);
		String errInfo = "";
		for (int i = 0; i < dataList.size(); i++) {
			if (i == 0) {
				continue;
			} else {
				Map<String, String> map = dataList.get(i);
				KshHlhtSbxx info = new KshHlhtSbxx();
				String sbId = map.get(1);
				System.out.println("设备Id -----" + sbId);
				if(sbId != null) {
					info.setSbId(map.get("1") == null ? map.get(1) : map.get("1"));
					info.setZzjgMc(map.get("2") == null ? map.get(2) : map.get("2"));
					info.setTyxydm(map.get("3") == null ? map.get(3) : map.get("3"));
					info.setKqmc(map.get("4") == null ? map.get(4) : map.get("4"));
					info.setKqdz(map.get("5") == null ? map.get(5) : map.get("5"));
					String kqlx = map.get(6);
					Integer kqlx1 = Integer.parseInt(kqlx);
					info.setKqlx(kqlx1);
					info.setSbnkt(map.get("7") == null ? map.get(7) : map.get("7"));
					info.setAzwwlx(map.get("8") == null ? map.get(8) : map.get("8"));
					info.setSbgnlx(map.get("9") == null ? map.get(9) : map.get("9"));					
					info.setJsqysm(map.get("10") == null ? map.get(10) : map.get("10"));				
					kshHlhtSbxxMapper.updateKshHlhtSbxxBySbId(info);
										
					KshHlhtSbxx sbxx = kshHlhtSbxxMapper.queryBySbId(sbId);
					
					if(sbxx != null) {
						
						String strname = null;
						
						if(info.getKqmc().contains("（")) {
							
							strname = info.getKqmc().substring(info.getKqmc().indexOf("（") +1, info.getKqmc().indexOf("）"));
							
						}else {
							
							strname = info.getKqmc();
							
						}
						
						Integer zzjgId = kshHlhtSbxxMapper.queryByZzjgMc(strname);
						
						Integer zzsbId =  kshHlhtSbxxMapper.queryByZzSbgl(sbxx.getId(),zzjgId);
							
						    if(null == zzsbId) {
						    	
						    	KshHlhtZzsbgl zzsb = new KshHlhtZzsbgl();
								
								zzsb.setSbId(sbxx.getId());
								
								zzsb.setZzjgId(zzjgId);
								
								kshHlhtZzsbglMapper.insertZzsbgl(zzsb);
						    }

						}
						
					}
			}
		}
		return r;
	}

	public List<KshHlhtXzqh> querySheng(String stdcode) {
		String code = stdcode + "0000";
		return kshHlhtXzqhMapper.querySheng(code);
	}*/

	/*public List<KshHlhtXzqh> queryShi(String stdcode) {
		String subCode = stdcode.substring(0, 2);
		String code1 = subCode + "%" + "00";
		String code2 = subCode + "0000";
		return kshHlhtXzqhMapper.queryShi(code1, code2);
	}

	public List<KshHlhtXzqh> queryXian(String stdcode) {
		String subCode = stdcode.substring(0, 4);
		String code1 = subCode + "%";
		String code2 = subCode + "00";
		return kshHlhtXzqhMapper.queryXian(code1, code2);
	}*/

	/*public List<KshHlhtZzsbgl> queryListByZdySbId(Integer zzjgId) {
		return kshHlhtZzsbglMapper.queryListByZdySbId(zzjgId);
	}*/

	public KshHlhtSbxx queryBySbId(String gbIndexCode) {
		return kshHlhtSbxxMapper.queryBySbId(gbIndexCode);
	}

	/*public void saveKuquInfo(KshHlhtKuquInfo info) {
		kshHlhtSbxxMapper.saveKuquInfo(info);
	}*/

	public List<KshHlhtSbxx> querySbxxList(Integer pageNum, Integer pageSize, List list) {
		return kshHlhtSbxxMapper.querySbxxList(pageNum,pageSize,list);
	}

	public RootResult<Object> sbxxExportExcel(KshHlhtSbxxInputVo vo) {
		
		RootResult<Object> r = new RootResult<Object>();
		
		Map<String, Object> map1 = new HashMap<String, Object>(); 
		
		List<KshHlhtSbxx> data = kshHlhtSbxxMapper.sbxxExportExcel(vo);
		
		map1.put("data", data);
				
		r.setData(map1);		
		
		return r;
	}

	public String queryByClassId(Integer zzjgId) {
		return kshHlhtSbxxMapper.queryByClassId(zzjgId);
	}

	public List<KshHlhtZzsbgl> queryByZzId(String classStrId) {
		return kshHlhtSbxxMapper.queryByZzId(classStrId);
	}

	public List<KshHlhtXzqh> queryKqbm(String kqbm) {
		return kshHlhtSbxxMapper.queryKqbm(kqbm);
	}

	public List<KshHlhtXzqh> queryByKqmc() {		
		return kshHlhtSbxxMapper.queryByKqmc();
	}

	public Integer queryCount(List list1) {
		return kshHlhtSbxxMapper.queryCount(list1);
	}

	/*public List<KshHlhtSheng> queryParentId() {
		return kshHlhtXzqhMapper.queryParentId();
	}

	public List<KshHlhtSheng> queryChildListById(Integer id) {
		return kshHlhtXzqhMapper.queryChildListById(id);
	}*/

}
