package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_AJXX--表4-6 廒间信息数据接口")
@Table(name="DXP_AJXX")
public class DXPAJXXVO extends QueryVo{

	@ApiModelProperty(value = "廒间编码")
	private	String ajbh;	//db_column:ajbh	note:廒间编码

	@ApiModelProperty(value = "廒间名称")
	private	String ajmc;	//db_column:ajmc	note:廒间名称

	@ApiModelProperty(value = "仓房编码")
	private	String cfbh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓房名称")
	private	String cfmc;	//db_column:cfmc	note:仓房名称

	@ApiModelProperty(value = "廒间长度")
	private	String ajcd;	//db_column:ajcd	note:廒间长度

	@ApiModelProperty(value = "廒间宽度")
	private	String ajkd;	//db_column:ajkd	note:廒间宽度

	@ApiModelProperty(value = "廒间高度")
	private	String ajgd;	//db_column:ajgd	note:廒间高度

	@ApiModelProperty(value = "廒间设计仓容")
	private	String ajsjcr;	//db_column:ajsjcr	note:廒间设计仓容

	@ApiModelProperty(value = "廒间联系电话")
	private	String ajlxdh;	//db_column:ajlxdh	note:廒间联系电话

	@ApiModelProperty(value = "廒间启用日期")
	private	String ajqyrq;	//db_column:ajqyrq	note:廒间启用日期

	@ApiModelProperty(value = "廒间状态")
	private	String ajzt;	//db_column:ajzt	note:廒间状态

	@ApiModelProperty(value = "廒间使用情况")
	private	String ajsyqk;	//db_column:ajsyqk	note:廒间使用情况

}