package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_KHXX--表4-13 客户信息数据接口")
@Table(name="DXP_KHXX")
public class DXPKHXXVO extends QueryVo{

	@ApiModelProperty(value = "客户编码")
	private	String khbm;	//db_column:khbm	note:客户编码

	@ApiModelProperty(value = "所属企业代码")
	private	String ssqydm;	//db_column:ssqydm	note:所属企业代码

	@ApiModelProperty(value = "客户名称")
	private	String khmc;	//db_column:khmc	note:客户名称

	@ApiModelProperty(value = "通讯地址")
	private	String txdz;	//db_column:txdz	note:通讯地址

	@ApiModelProperty(value = "邮政编码")
	private	String yzbm;	//db_column:yzbm	note:邮政编码

	@ApiModelProperty(value = "联系人姓名")
	private	String lxrxm;	//db_column:lxrxm	note:联系人姓名

	@ApiModelProperty(value = "联系电话")
	private	String lxrdh;	//db_column:lxrdh	note:联系电话

	@ApiModelProperty(value = "身份证号")
	private	String sfzh;	//db_column:sfzh	note:身份证号

	@ApiModelProperty(value = "电子信箱")
	private	String dzyx;	//db_column:dzyx	note:电子信箱

	@ApiModelProperty(value = "公司登记编号")
	private	String gsdjbh;	//db_column:gsdjbh	note:公司登记编号

	@ApiModelProperty(value = "是否有效")
	private	String sfyx;	//db_column:sfyx	note:是否有效

	@ApiModelProperty(value = "身份审核标志")
	private	String sfshbz;	//db_column:sfshbz	note:身份审核标志

	@ApiModelProperty(value = "审核人姓名")
	private	String shrxm;	//db_column:shrxm	note:审核人姓名

	@ApiModelProperty(value = "审核时间")
	private	String shsj;	//db_column:shsj	note:审核时间

	@ApiModelProperty(value = "黑名单标志")
	private	String hmdbz;	//db_column:hmdbz	note:黑名单标志

}