package com.jusfoun.ydylsz.vo;

import javax.persistence.Table;

import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "DXP_LHJHMXXX--表4-3 轮换计划明细信息数据接口")
@Table(name="DXP_LHJHMXXX")
public class DXPLHJHMXXX extends QueryVo{
	
	@ApiModelProperty(value = "计划明细编码")
	private	String jhmxbm;
	@ApiModelProperty(value = "计划编码")
	private	String jhbm;
	@ApiModelProperty(value = "计划库区")
	private	String jhkq;
	@ApiModelProperty(value = "品种编码")
	private	String pzbm;
	@ApiModelProperty(value = "等级编码")
	private	String djbm;
	@ApiModelProperty(value = "粮食性质编码")
	private	String lsxzbm;
	@ApiModelProperty(value = "收获年度")
	private	String shnd;
	@ApiModelProperty(value = "轮出货位编码")
	private	String lcfhwbm;
	@ApiModelProperty(value = "轮入数量")
	private	Float lrsl;
	@ApiModelProperty(value = "轮入货位编码")
	private	String lrcfhwbm;
	@ApiModelProperty(value = "轮出数量")
	private	Float lcsl;
	@ApiModelProperty(value = "操作标志")
	private	String czbz;
		
}
