package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_LSKCSJ--表4-14 粮食货位卡数据接口")
@Table(name="DXP_LSKCSJ")
public class DXPLSKCSJVO extends QueryVo{

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "年度")
	private	String nd;	//db_column:nd	note:年度

	@ApiModelProperty(value = "月份")
	private	String yf;	//db_column:yf	note:月份

	@ApiModelProperty(value = "粮食品种编码")
	private	String pzbm;	//db_column:pzbm	note:粮食品种编码

	@ApiModelProperty(value = "粮食性质编码")
	private	String lsxzbm;	//db_column:lsxzbm	note:粮食性质编码

	@ApiModelProperty(value = "入库时间")
	private	String rcsj;	//db_column:rksj	note:入库时间

	@ApiModelProperty(value = "财政核定价格")
	private	String czhdjg;	//db_column:czhdjg	note:财政核定价格*/

	@ApiModelProperty(value = "粮食等级")
	private	String djbm;	//db_column:djbm	note:粮食等级

	@ApiModelProperty(value = "收获年度")
	private	String shnd;	//db_column:shnd	note:收获年度

	@ApiModelProperty(value = "国别")
	private	String gb;	//db_column:gb	note:国别

	@ApiModelProperty(value = "产地")
	private	String cd;	//db_column:cd	note:产地

	@ApiModelProperty(value = "保管员编码")
	private	String bgybm;	//db_column:bgybm	note:保管员编码

	@ApiModelProperty(value = "粮权归属单位编码")
	private	String lqgsdwbm;	//db_column:lqgsdwbm	note:粮权归属单位编码

/*	@ApiModelProperty(value = "粮权归属单位名称")
	private	String lqgsmc;	//db_column:lqgsmc	note:粮权归属单位名称*/

	@ApiModelProperty(value = "管理方式")
	private	String glfs;	//db_column:glfs	note:管理方式

	@ApiModelProperty(value = "封仓时间")
	private	String fcsj;	//db_column:fcsj	note:封仓时间

	/*@ApiModelProperty(value = "年初库存")
	private	String nckc;	//db_column:nckc	note:年初库存*/

	@ApiModelProperty(value = "封仓状态")
	private String fczt;	//db_column:qckc	note:期初库存

	@ApiModelProperty(value = "收储地点")
	private String scdd;	//db_column:qckc	note:期初库存


	/*@ApiModelProperty(value = "期初库存")
	private String qckc;*/	//db_column:qckc	note:期初库存

	/*@ApiModelProperty(value = "本期收入")
	private	String bqsr;	//db_column:bqsr	note:本期收入

	@ApiModelProperty(value = "本期支出")
	private	String bqzc;	//db_column:bqzc	note:本期支出*/

	@ApiModelProperty(value = "期末库存")
	private	String qmkc;	//db_column:qmkc	note:期末库存

	@ApiModelProperty(value = "清仓时间")
	private	String qcsj;	//db_column:qcsj	note:清仓时间

	private	float kcTotal;	//品种总库存

	private	String zdmc;	//字典值名称 临时
	
	private	String pzmc;
	
}