package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;


@Data
@ApiModel(value = "DXP_YGXX--表4-5 油罐信息数据接口")
@Table(name="DXP_YGXX")
public class DXPYGXXVO extends QueryVo{

	@ApiModelProperty(value = "油罐编码")
	private	String ygbh;	//db_column:ygbh	note:油罐编码

	@ApiModelProperty(value = "油罐名称")
	private	String ygmc;	//db_column:ygmc	note:油罐名称

	@ApiModelProperty(value = "库区编码")
	private	String kqbh;	//db_column:kqbh	note:库区编码

	@ApiModelProperty(value = "罐容")
	private	String gr;	//db_column:gr	note:罐容

	@ApiModelProperty(value = "建造时间")
	private	String jzsj;	//db_column:jzsj	note:建造时间

	@ApiModelProperty(value = "油罐及附属设施是否完好")
	private	String ygjfssssfwh;	//db_column:ygjfssssfwh	note:油罐及附属设施是否完好

	@ApiModelProperty(value = "有无加热装置")
	private	String ywjrzz;	//db_column:ywjrzz	note:有无加热装置

	@ApiModelProperty(value = "油罐类型")
	private	String yglx;	//db_column:yglx	note:油罐类型

	@ApiModelProperty(value = "罐内直径")
	private	String zj;	//db_column:zj	note:罐内直径

	@ApiModelProperty(value = "罐内高度")
	private	String gd;	//db_column:gd	note:罐内高度

	@ApiModelProperty(value = "检定方式")
	private	String jdfs;	//db_column:jdfs	note:检定方式

	@ApiModelProperty(value = "焊接方式")
	private	String hjfs;	//db_column:hjfs	note:焊接方式

	@ApiModelProperty(value = "油罐使用情况")
	private	String cfsyqk;	//db_column:cfsyqk	note:油罐使用情况

	@ApiModelProperty(value = "油罐状态")
	private	String cfzt;	//db_column:cfzt	note:油罐状态

	@ApiModelProperty(value = "操作标志")
	private	String czbz;	//db_column:czbz	note:操作标志

}