package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;

/**
 * 仓房库存
 *
 * @author by PIG
 * 2023/10/17 15
 */
@Data
public class WareHouseInventoryVO {

    @ApiModelProperty(name = "仓号")
    @Column(name = "house_Id")
    private String houseId;
    @ApiModelProperty(name = "仓号")
    @Column(name = "house_Name")
    private String houseName;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_id")
    private String warehouseId;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_name")
    private String warehouseName;
    @ApiModelProperty(name = "数量")
    @Column(name = "inventory_number")
    private BigDecimal inventoryNumber;

    @Column(name = "sub_type_detailed")
    private String subTypeDetailed;
    @Column(name = "sub_type_detailed_name")
    private String subTypeDetailedName;

    private String typeDetailed;
    private String typeDetailedName;

    public String getHouseKey(String symbol) {
        return this.houseId + symbol + this.houseName;
    }
}
