--delete from xwk_LSRKXXJK
insert into up:xwk_LSRKXXJK(
lsrkid,--1入库业务
hwdm,--2货位代码关联1104接口货位代码
ywlx,--3业务类型2：入库默认
ywrq,--4业务日期格式：yyyy-MM-dd
hth,--5合同号对于签订合同的入库，需填写合同号，关联1403接口中合同号
cyr,--6承运人
lxdh,--7联系电话国内标准手机号码或固定电话号码，座机号格式:区号-号码
sfzh,--8身份证号
xxdz,--9详细地址省自治区、直辖市+市自治州、区+县或县级市自治县、街道+详细地址含门牌号
ysgj,--10运输工具1：汽车2：火车3：轮船9：其他
cch,--11车船号
djsj,--12登记时间格式：yyyy-MM-ddHH:mm:ss
djmgryxm,--13登记门岗人员姓名
lspzdm,--14粮食品种代码参考LS/T1703-2017粮食信息分类与编码粮食及加工产品分类与代码，不足7位需在末位补0
lsdj,--15等级编码
lsxzdm,--16粮食性质代码参考LS/T1713-2015库存粮食识别代码表2
shnd,--17收获年度
cddm,--18产地代码参考《库存粮食识别代码》LS/T1713-2015的5.4.3中相关规定
jjlx,--19检斤类型0：称重入库1：标准包入库默认为称重入库，标准包入库相关字段可为空
mz,--20毛重单位：公斤
mzjby,--21毛重监磅员
mzjlsj,--22毛重计量时间格式：yyyy-MM-ddHH:mm:ss
mzjly,--23毛重计量员
zcy,--24值仓员
pz,--25皮重单位：公斤
pzjby,--26皮重监磅员
pzjlsj,--27皮重计量时间格式：yyyy-MM-ddHH:mm:ss
pzjly,--28皮重计量员
bzw,--29包装物1：麻袋2：编织袋3：散装9：其他
bzbdbz,--30标准包单包重单位：公斤
bzbjs,--31标准包件数单位：件
zjkl,--32质检扣量单位：公斤
bzwkl,--33包装物扣量单位：公斤
qtkl,--34其他扣量单位：公斤
klyy,--35扣量原因
ksz,--36扣水杂单位：公斤
kzs,--37扣整晒单位：公斤
xckl,--38现场扣量单位：公斤
jz,--39净重单位：公斤
cmsj,--40出门时间格式：yyyy-MM-ddHH:mm:ss
cmqrmgryxm,--41出门确认门岗人员姓名
rkjsdh,--42入库结算单号关联1203接口入库结算单号
jhmxh,--43计划明细号依据计划入库时，需填写计划明细号，关联1402接口中计划明细号
QYSJ, --44  扦样时间
ZJSJ, --45  质检时间
ZJRY, --46 质检人员
KHBH,--47 客户编码  
bizno--48
)
SELECT   sys_guid() AS lsrkid, --1 业务单号
         w.hwbm AS hwdm, --2  货位编码  
           '2' AS YWLX, --3 业务类型
          A.YWDJSJ AS YWRQ, --4 业务日期
          NVL(A.HTBH, '024-HT-20191122-03') AS HTBH, --5 合同编码
          A.CYR AS CYR, --6 承运人
           NVL(A.SLRDH, '0') AS LXDH, --7  联系电话
           NVL(A.SLRSFZH, '0') AS SFZH, --8  身份证号
           NVL(A.SLRDZ, '0') AS XXDZ, --9  详细地址
           A.CLLX AS YSGJ, --10 运输工具
          A.CPH AS CCH, --11  车船号
          A.YWDJSJ AS DJSJ, --12 登记时间
          A.DJR  AS DJMGRYXM, --13 登记门岗人员姓名
          A.LSPZ  AS PZBM, --14 品种编码
          C.LSDJ AS DJBM, --15 等级编码
          A.LSXZ  AS LQXZBM, --16 粮食性质编码
           m.enumitemname AS SHND, --17  收获年度
           a.cd  AS CD, --18  产地
           '0' as jjlx,--19检斤类型
           E.MZ AS MZ, --20  毛重
          E.MJY AS MZJBY, --21  毛重监磅员
           E.CMZSJ  AS MZJLSJ, --22 毛重计量时间
           E.MJY AS MZJLY, --23 , 毛重计量员
           '' as zcy,--24值仓员
           round(D.PZ,2) AS PZ, --25  皮重
           D.PJY AS PZJBY, --26  皮重监磅员
           D.CPZSJ AS PZJLSJ, --27 皮重计量时间
           D.PJY AS PZJLY, --28  皮重计量员
           '' as bzw,--29
           '' as bzbdbz,--30
           '' as bzbjs,--31
           D.HYKL AS ZJKL, --32  质检扣量
           '' as bzwkl,--33
           '' as qtkl,--34
           '' as klyy,--35
           '' as ksz,--36
           '' as kzs,--37
           D.XCKZ AS XCKL, --38  现场扣量   
           round(D.XZKLHJZ,1) AS JZ, --39 净重
           H.CMSJ AS CMSJ, --40  出门时间
           H.CZR AS CMQRMGRYXM, --41 出门确认门岗人员姓名         
           F.JSDH as rkjsdh, --42  结算单编码
           Q.PLAN_NUMBER as jhmxdh ,    --43计划明细单号        
           B.QYSJ AS QYSJ, --44  扦样时间
           c.jysj AS ZJSJ, --45  质检时间
           C.JYR AS ZJRY, --46 质检人员
           F.KHZZH as KHBH, --47 客户编码     
           a.bizno   --48通知单号
       FROM lsreport_ts_center:DATA_CRKYW_RMDJ_DEFAULT A --  汽车入门
      LEFT JOIN lsreport_ts_center:DATA_CRKYW_QYXX_DEFAULT B --  汽车扦样
        ON A.UNITID = B.UNITID
       and A.BIZNO = B.BIZNO
      LEFT JOIN lsreport_ts_center:DATA_CRKYW_JYXX_DEFAULT C --  汽车化验
        ON A.UNITID = C.UNITID
       and A.BIZNO = C.BIZNO
      LEFT JOIN lsreport_ts_center:DATA_CRKYW_CPZ_DEFAULT D --  汽车称皮重
        ON A.UNITID = D.UNITID
       and A.BIZNO = D.BIZNO
     INNER JOIN depot_center:ORG_INFO O
        ON O.ORG_ID = A.DEPTID
       AND O.ORG_CLASS_ID = 5318
     left join lsreport_ts_center:business_plan  Q
       ON o.org_id= Q.ORG_ID        
      LEFT JOIN lsreport_ts_center:DATA_CRKYW_CMZ_DEFAULT E --  汽车称毛重
        ON A.UNITID = E.UNITID
       and A.BIZNO = E.BIZNO
      LEFT JOIN lsreport_ts_center:DATA_CRKYW_JSXX_DEFAULT F --  汽车结算
        ON A.UNITID = F.UNITID
       and A.BIZNO = F.BIZNO
      LEFT JOIN lsreport_ts_center:DATA_CRKYW_RKCM_DEFAULT H --  汽车出门
        ON A.UNITID = H.UNITID
       and A.BIZNO = H.BIZNO
       LEFT JOIN depot_center:BASIC_WAREHOUSE W --货位基本信息
         ON A.NRHWID = W.WAREHOUSE_ID
       AND A.NRCHID = W.STOREHOUSE_ID
       AND A.UNITID = W.ORG_ID
      left join lsreport_ts_center:enumitem m 
       on a.scnf=m.enumitemid 
       and m.enumid='1004'
       and A.bizno != '-1';
       

     